<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ use Illuminate\Database\Schema\Blueprint; use Illuminate\Database\Migrations\Migration; class CreatePayOrder extends Migration { public function up() { Schema::create('pay_order', function (Blueprint $u7Hxi) { $u7Hxi->increments('id'); $u7Hxi->timestamps(); $u7Hxi->tinyInteger('status')->nullable()->comment('订单状态'); $u7Hxi->string('biz', 20)->nullable()->comment('业务:通常表示在当前系统的支付类型,如 购买订单,用户充值'); $u7Hxi->integer('bizId')->nullable()->comment('业务ID:在当前业务下的ID标识'); $u7Hxi->string('payType', 20)->nullable()->comment('支付方式'); $u7Hxi->string('payOrderId', 64)->nullable()->comment('支付订单ID,通常由支付系统返回'); $u7Hxi->decimal('feeTotal', 20, 2)->nullable()->comment('支付金额'); $u7Hxi->timestamp('timePayCreated')->nullable()->comment('时间:支付订单创建'); $u7Hxi->timestamp('timePay')->nullable()->comment('时间:支付'); $u7Hxi->decimal('feeRefund', 20, 2)->nullable()->comment('退款金额'); $u7Hxi->timestamp('timeRefundCreated')->nullable()->comment('时间:退款申请'); $u7Hxi->timestamp('timeRefundSuccess')->nullable()->comment('时间:退款成功'); $u7Hxi->timestamp('timeClosed')->nullable()->comment('时间:订单关闭(未支付)'); $u7Hxi->string('param', 400)->nullable()->comment(''); $u7Hxi->unique(array('biz', 'bizId')); }); } public function down() { } }