<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace Payment; use Payment\Charge\Ali\AliAppCharge; use Payment\Charge\Ali\AliBarCharge; use Payment\Charge\Ali\AliWapCharge; use Payment\Charge\Ali\AliWebCharge; use Payment\Charge\Ali\AliQrCharge; use Payment\Charge\Cmb\CmbCharge; use Payment\Charge\Wx\WxAppCharge; use Payment\Charge\Wx\WxBarCharge; use Payment\Charge\Wx\WxPubCharge; use Payment\Charge\Wx\WxQrCharge; use Payment\Charge\Wx\WxWapCharge; use Payment\Common\BaseStrategy; use Payment\Common\PayException; class ChargeContext { protected $channel; public function initCharge($JGY2w, array $iP3IT) { try { switch ($JGY2w) { case Config::ALI_CHANNEL_WAP: $this->channel = new AliWapCharge($iP3IT); break; case Config::ALI_CHANNEL_APP: $this->channel = new AliAppCharge($iP3IT); break; case Config::ALI_CHANNEL_WEB: $this->channel = new AliWebCharge($iP3IT); break; case Config::ALI_CHANNEL_QR: $this->channel = new AliQrCharge($iP3IT); break; case Config::ALI_CHANNEL_BAR: $this->channel = new AliBarCharge($iP3IT); break; case Config::WX_CHANNEL_APP: $this->channel = new WxAppCharge($iP3IT); break; case Config::WX_CHANNEL_LITE: case Config::WX_CHANNEL_PUB: $this->channel = new WxPubCharge($iP3IT); break; case Config::WX_CHANNEL_WAP: $this->channel = new WxWapCharge($iP3IT); break; case Config::WX_CHANNEL_QR: $this->channel = new WxQrCharge($iP3IT); break; case Config::WX_CHANNEL_BAR: $this->channel = new WxBarCharge($iP3IT); break; case Config::CMB_CHANNEL_WAP: case Config::CMB_CHANNEL_APP: $this->channel = new CmbCharge($iP3IT); break; case Config::CCB_CHANNEL_WEB: $this->channel = new CcbWebCharge($iP3IT); break; default: throw new PayException('当前仅支持：支付宝  微信 招商一网通 建设银行'); } } catch (PayException $vM7fi) { throw $vM7fi; } } public function charge(array $giUWQ) { if (!$this->channel instanceof BaseStrategy) { throw new PayException('请检查初始化是否正确'); } try { return $this->channel->handle($giUWQ); } catch (PayException $vM7fi) { throw $vM7fi; } } }