<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace Payment; use Payment\Common\BaseStrategy; use Payment\Common\PayException; use Payment\Query\Ali\AliChargeQuery; use Payment\Query\Ali\AliRefundQuery; use Payment\Query\Ali\AliTransferQuery; use Payment\Query\Cmb\CmbChargeQuery; use Payment\Query\Cmb\CmbRefundQuery; use Payment\Query\Wx\WxChargeQuery; use Payment\Query\Wx\WxRefundQuery; use Payment\Query\Wx\WxTransferQuery; use Payment\Query\Wx\WxRedQuery; class QueryContext { protected $query; public function initQuery($JGY2w, array $iP3IT) { try { switch ($JGY2w) { case Config::ALI_CHARGE: $this->query = new AliChargeQuery($iP3IT); break; case Config::ALI_REFUND: $this->query = new AliRefundQuery($iP3IT); break; case Config::ALI_TRANSFER: $this->query = new AliTransferQuery($iP3IT); break; case Config::WX_CHARGE: $this->query = new WxChargeQuery($iP3IT); break; case Config::WX_REFUND: $this->query = new WxRefundQuery($iP3IT); break; case Config::WX_TRANSFER: $this->query = new WxTransferQuery($iP3IT); break; case Config::WX_RED: $this->query = new WxRedQuery($iP3IT); break; case Config::CMB_CHARGE: $this->query = new CmbChargeQuery($iP3IT); break; case Config::CMB_REFUND: $this->query = new CmbRefundQuery($iP3IT); break; default: throw new PayException('当前仅支持：ALI_CHARGE ALI_REFUND WX_CHARGE WX_REFUND WX_TRANSFER WX_RED CMB_CHARGE CMB_REFUND'); } } catch (PayException $vM7fi) { throw $vM7fi; } } public function query(array $giUWQ) { if (!$this->query instanceof BaseStrategy) { throw new PayException('请检查初始化是否正确'); } try { return $this->query->handle($giUWQ); } catch (PayException $vM7fi) { throw $vM7fi; } } }